/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import {useContext, useEffect, useRef} from 'react';

import TreeviewContext from './TreeviewContext';

export default function useFocus(nodeId) {
	const {state} = useContext(TreeviewContext);

	const {active, focusedNodeId} = state;

	const focusableRef = useRef();

	useEffect(() => {
		if (active && nodeId === focusedNodeId && focusableRef.current) {
			focusableRef.current.focus();
		}
	}, [active, focusedNodeId, nodeId]);

	return focusableRef;
}
